openqa-validate-yaml(1)

NAME
openqa-validate-yaml - check YAML files against a schema

SYNOPSIS
openqa-validate-yaml [OPTIONS] [-] [file ...]

DESCRIPTION
openqa-validate-yaml should be given a list of one or more filenames. The files are expected to be YAML files. openqa-validate-yaml tests each item in the list to see if the files are valid when checked against a Schema.

'-' can be specified instead of a filename to read the test input from STDIN.

OPTIONS

--validate-schema
    Validate the Schema file itself, in addition to any YAML files.

--schema-file=SCHEMA
    Specify the schema file or URL to validate against (default .../public/schema/JobTemplates-01.yaml)'],

-h  Print a usage message, and exit.

AUTHOR
This manual page was written by Philip Hands <phil@hands.com>, for the Debian GNU/Linux system (but may be used by others).